//================================================================
//
//   ####   #####   ###    ###  ###    ###   #####   ##     ##
//  ##     ##   ##  ## #  # ##  ## #  # ##  ##   ##  ####   ##
//  ##     ##   ##  ##  ##  ##  ##  ##  ##  ##   ##  ##  ## ##
//  ##     ##   ##  ##      ##  ##      ##  ##   ##  ##    ###
//   ####   #####   ##      ##  ##      ##   #####   ##     ##
//
//================================================================
@keyframes rotation {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(359deg);
  }
}

.mobile-hidden {
  @include phone() {
    display: none !important;
  }
}

.mobile-only {
  display: none;

  @include phone() {
    display: block;
  }
}

a,
button,
.button {
  transition: 0.175s all cubic-bezier(0.165, 0.84, 0.44, 1);

  :hover {
    transition: 0.225s all cubic-bezier(0.445, 0.05, 0.55, 0.95);
  }
}

[data-tooltip],
[data-popup],
.curp {
  cursor: pointer;
}

[aria-label][role~="tooltip"]::after {
  white-space: pre-line;
}

button[data-popup].icon-only,
button[data-tooltip].icon-only {
  border: none;
  padding: 0;
  background: transparent;

  &:hover {
    border: none;
    background: transparent;
    opacity: 0.5;
  }
}

abbr[title] {
  text-decoration: none;
  font-style: italic;
  cursor: pointer;

  &:after {
    margin-left: 0.175em;
    font-style: italic;
    text-decoration: underline;
    content: "(def)";
  }
}

.grid {
  display: grid;
  column-gap: 1.5rem;

  > div {
    margin-bottom: 1.5rem;
  }

  &.style-2-1 {
    grid-template-columns: 2fr 1fr;
  }

  &.tablet-style-1-1 {
    @include tablet() {
      grid-template-columns: 1fr 1fr;
    }
  }

  &.per-2 {
    grid-template-columns: repeat(2, 1fr);

    > div:nth-last-of-type(-n + 2) {
      margin-bottom: 0;
    }
  }

  &.per-3 {
    grid-template-columns: repeat(auto-fill, minmax(30%, 1fr));

    > div:nth-last-of-type(-n + 3) {
      margin-bottom: 0;
    }
  }

  &.per-4 {
    grid-template-columns: repeat(4, 1fr);

    > div:nth-last-of-type(-n + 4) {
      margin-bottom: 0;
    }

    @include tablet() {
      grid-template-columns: repeat(2, 1fr);

      > div:nth-last-of-type(-n + 4) {
        margin-bottom: 1.5rem;
      }

      > div:nth-last-of-type(-n + 2) {
        margin-bottom: 0;
      }
    }
  }

  @include phone() {
    display: block;
    grid-template-columns: none;

    > div {
      margin-bottom: 1.5rem !important;
    }
  }
}

.block {
  padding: 1.5rem;

  p {
    font-size: 0.875rem;
  }
}

.active {
  // font-weight: bold;
}

.bg-vert-1 {
  background: var(--vert-1);
}

.bg-blanc {
  background: white;
}

.clr-vert-1-hover {
  color: var(--vert-1-hover);
}

.icon {
  fill: #111;

  body.single-diagnostic & {
    line-height: inherit;
  }
}

p.small {
  font-size: 0.6875rem;
}

p.medium {
  font-size: 0.825rem;
}

.clickable-card {
  cursor: pointer;
}

.button,
button,
input[type="button"],
input[type="reset"],
input[type="submit"] {
  border: 1px solid;
  border-color: #111;
  border-radius: 0;
  background: transparent;
  color: #111;
  line-height: 1;
  padding: 0.675em 0.625em;
  cursor: pointer;
  text-decoration: none;

  &.small {
    font-size: 0.825rem;
    padding: 0.5em 0.475em;
  }

  &:disabled {
    pointer-events: none;
    opacity: 0.5;
  }

  &.no-hover {
    pointer-events: none;
  }

  &:hover {
    background-color: var(--vert-1-dark);
    border-color: var(--vert-1-dark);
    color: var(--vert-1);

    .icon {
      fill: var(--vert-1);
    }
  }

  &:active,
  &:focus {
    // border-color: #333;
    font-weight: normal;
  }

  &.no-hover {
    pointer-events: none;

    a,
    button {
      pointer-events: all;
    }
  }

  .icon {
    width: 1em;
    height: 1em;
    margin-left: 0.5em;
    transform: scale(1.2);
    fill: #111;
    position: relative;
    top: 0.15em;
    margin-top: -0.2em;

    &.fleche-droite {
      transform: scale(1.4);
    }
  }

  &.icon-only {
    svg {
      margin: 0;
    }

    span.rating-icon {
      + span.rating-icon {
        margin-left: 0.325em;
      }
    }
  }

  &.style-noir {
    &:hover,
    &-hover {
      color: #fff;
      background: #111;

      svg.icon {
        fill: #fff;
      }
    }
  }

  @include tablet() {
    padding: 0.575em 0.55em;
  }
}

a.button {
  display: inline-block;
}

input[type="text"],
input[type="email"],
input[type="url"],
input[type="password"],
input[type="search"],
input[type="number"],
input[type="tel"],
input[type="range"],
input[type="date"],
input[type="month"],
input[type="week"],
input[type="time"],
input[type="datetime"],
input[type="datetime-local"],
input[type="color"],
textarea,
select {
  color: #111;
  border: 1px solid #111;
  border-radius: 0;
  padding: 0.5em;
  display: block;
  width: 100%;

  &:focus {
    color: #333;
  }
}

label {
  display: block;
  width: 100%;
}

div.input {
  margin-bottom: 0.5rem;
  position: relative;

  ul.suggestions {
    position: absolute;
    z-index: 900;
    background: #fff;
    border: 1px solid #111;
    border-top: none;
    list-style: none;
    padding: 0;
    margin: 0;
    top: 100%;
    left: 0;
    right: 0;
    max-height: 9rem;
    overflow: hidden;
    overflow-y: auto;

    li {
      cursor: pointer;
      font-size: 0.75rem;
      padding: 0.5em 1em;

      &:first-of-type {
        // padding-top: 1em;
      }

      &:last-of-type {
        // padding-top: 1em;
      }

      &.active {
        font-weight: bold;
      }

      &.selected,
      &:hover {
        background: var(--bleu-1);
        color: var(--bleu-1-dark);
      }
    }
  }

  label {
    font-size: 0.75rem;
    font-weight: bold;
    margin-bottom: 0.4em;
  }
}

textarea,
select {
  width: 100%;
}

ul,
ol {
  margin: 0 0 1.5em 3em;
}

ul {
  list-style: disc;
}

ol {
  list-style: decimal;
}

li > ul,
li > ol {
  margin-bottom: 0;
  margin-left: 1.5em;
}

/* Text meant only for screen readers. */
.screen-reader-text {
  border: 0;
  clip: rect(1px, 1px, 1px, 1px);
  clip-path: inset(50%);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute !important;
  width: 1px;
  word-wrap: normal !important; // Many screen reader and browser combinations announce broken words as they would appear visually.

  &:focus {
    background-color: #fff;
    border-radius: 3px;
    box-shadow: 0 0 2px 2px rgba(0, 0, 0, 0.6);
    clip: auto !important;
    clip-path: none;
    color: #111;
    display: block;
    font-size: 0.875rem;
    font-weight: 700;
    height: auto;
    left: 5px;
    line-height: normal;
    padding: 15px 23px 14px;
    text-decoration: none;
    top: 5px;
    width: auto;
    z-index: 100000; // Above WP toolbar.
  }
}

div.inline-buttons {
  button {
    + button {
      margin-left: 0.5rem;
    }
  }

  @include phone() {
    button {
      display: block;

      + button {
        // margin-left: 0;
        // margin-top: 0.5rem;
      }
    }
  }
}

ul.rating-stars {
  margin: 0;
  padding: 0;
  list-style: none;

  li.star {
    display: inline-block;

    + li {
      margin-left: 0.5em;
    }

    svg {
      $w: 1.5rem;
      width: $w;
      height: $w;
    }

    &.star-1 {
      svg {
        fill: var(--vert-1);
      }
    }

    &.star-0 {
      svg {
        fill: var(--gris);
      }
    }
  }
}

html,
body {
  @include phone() {
    max-width: 100vw;
    // overflow-x: hidden;
  }
}

div.carousel {
  display: grid;
  grid-template-columns: repeat(20, 240px);
  grid-gap: 1.5rem;
  overflow: hidden;
  overflow-x: auto;

  article.post-card {
    background: #fff;
    margin-bottom: 1rem;
  }
}

span.fake-toggle {
  > span {
    position: relative;
    padding-right: 5em;
    display: block;
    cursor: pointer;

    &:before {
      content: "";
      display: block;
      position: absolute;
      right: 0;
      top: -2px;
      width: 50px;
      background: #d1d1d1;
      height: 24px;
      border-radius: 2em;
    }

    &:after {
      content: "";
      display: block;
      position: absolute;
      top: 3px;
      right: 31px;
      width: 14px;
      height: 14px;
      border-radius: 28px;
      background: #fff;
      transition: 0.2s right ease-in-out;
    }
  }

  input[type="checkbox"] {
    position: absolute;
    left: -9999px;
    opacity: 0;
    visibility: hidden;

    &:checked {
      + span {
        font-weight: bold;

        &:before {
          background: var(--vert-1);
        }

        &:after {
          right: 5px;
          background: #111;
        }
      }
    }
  }

  &.positioned-before {
    > span {
      position: relative;
      padding-left: 5em;
      padding-right: 0;

      &:before {
        right: auto;
        left: 0;
      }

      &:after {
        right: auto;
        left: 5px;
      }
    }

    input[type="checkbox"]:checked + span:after {
      left: 31px;
    }
  }
}

div.input-container {
  position: relative;

  label.tiny-label {
    position: absolute;
    background: #fff;
    display: inline-block;
    left: 1em;
    font-size: 0.5rem;
    width: auto;
    padding: 0 0.325em;
    top: -0.8em;
    z-index: 50;
  }
}

div.fake-select-container {
  position: relative;

  > select {
    appearance: none;
    position: relative;
    background: #fff;

    &:has(option:disabled:checked) {
      color: #818181;
    }
  }

  > select + svg.icon {
    position: absolute;
    width: 1.5rem;
    height: 1.5rem;
    top: 50%;
    margin-top: -0.75em;
    right: 0.5rem;
    pointer-events: none;
  }
}
